From 56a73791f5712e1c5db45dc3bb6020654ff77e1b Mon Sep 17 00:00:00 2001
From: Nathan Bossart <nathan@postgresql.org>
Date: Wed, 16 Jul 2025 16:21:50 -0500
Subject: [PATCH v2 1/1] Minor pg_overexplain doc adjustments.

---
 doc/src/sgml/pgoverexplain.sgml | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/pgoverexplain.sgml b/doc/src/sgml/pgoverexplain.sgml
index 21930fbd3bd..ab8f05e8a23 100644
--- a/doc/src/sgml/pgoverexplain.sgml
+++ b/doc/src/sgml/pgoverexplain.sgml
@@ -8,7 +8,7 @@
  </indexterm>
 
  <para>
-  The <filename>pg_overexplain</filename> extends <command>EXPLAIN</command>
+  The <filename>pg_overexplain</filename> module extends <command>EXPLAIN</command>
   with new options that provide additional output. It is mostly intended to
   assist with debugging of and development of the planner, rather than for
   general use. Since this module displays internal details of planner data
@@ -17,6 +17,21 @@
   often as) those data structures change.
  </para>
 
+ <para>
+  To use it, simply load it into the server.  You can load it into an
+  individual session:
+
+<programlisting>
+LOAD 'pg_overexplain';
+</programlisting>
+
+  (You must be superuser to do that.)  You can also preload it into some or all
+  sessions by including <literal>pg_overexplain</literal> in
+  <xref linkend="guc-session-preload-libraries"/> or
+  <xref linkend="guc-shared-preload-libraries"/> in
+  <filename>postgresql.conf</filename>.
+ </para>
+
  <sect2 id="pgoverexplain-debug">
   <title>EXPLAIN (DEBUG)</title>
 
-- 
2.39.5 (Apple Git-154)

